DOM Level 3 API: Class DOMImplementationListImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.bootstrap
Class DOMImplementationListImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom3.bootstrap.DOMImplementationListImpl

All Implemented Interfaces:
  DOMImplementationList

public class DOMImplementationListImpl
extends java.lang.Object
implements DOMImplementationList

Constructor Summary
`DOMImplementationListImpl()`

Method Summary
`void` | `add(org.w3c.dom.DOMImplementation domImpl)` Add a `DOMImplementation` in the list.
`int` | `getLength()` The number of `DOMImplementation`s in the list.
`org.w3c.dom.DOMImplementation` | `item(int index)` Returns the `index`th item in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplementationListImpl

    public DOMImplementationListImpl()

Method Detail

### item

    public org.w3c.dom.DOMImplementation item(int index)

  Returns the `index`th item in the collection. If `index` is greater than or equal to the number of `DOMImplementation`s in the list, this returns `null`.
  Specified by:
    `item` in interface `DOMImplementationList`
  Parameters:
    `index` - Index into the collection.
  Returns:
    The `DOMImplementation` at the `index` th position in the `DOMImplementationList`, or `null` if that is not a valid index.

### getLength

    public int getLength()

  The number of `DOMImplementation`s in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `DOMImplementationList`

### add

    public void add(org.w3c.dom.DOMImplementation domImpl)

  Add a `DOMImplementation` in the list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.